> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt. # List memory stores GET https://api.synthflow.ai/v2/memory_stores Reference: https://docs.synthflow.ai/api-reference/platform-api/memory-stores/list-memory-stores ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.synthflow.ai/v2` (Global, default) - `https://api.us.synthflow.ai/v2` (United States) - `https://api.eu.synthflow.ai/v2` (European Union) ## Request ### Query parameters - `search` (string, optional) — The memory store's title. ## Response ### 200 200 - `status` (string, optional) - `response` (MemoryStoresGetResponsesContentApplicationJsonSchemaResponse, optional) ## Types ### MemoryStoresGetResponsesContentApplicationJsonSchemaResponse - `items` (list of MemoryStoresGetResponsesContentApplicationJsonSchemaResponseItemsItems, optional) - `total` (integer, optional) - `page_size` (integer, optional) - `page_number` (integer, optional) ### MemoryStoresGetResponsesContentApplicationJsonSchemaResponseItemsItems - `id` (string, optional) - `title` (string, optional) - `workspace_id` (string, optional) - `created_at` (string, optional) - `updated_at` (string, optional) - `contact_ids` (list of any, optional) ## Examples **Response** ```json { "status": "ok", "response": { "items": [ { "id": "9ad09ad3-9c22-441e-ae35-c05016a09786", "title": "test", "workspace_id": "abc", "created_at": {}, "updated_at": {}, "contact_ids": [ "string" ] } ], "total": 1, "page_size": 10, "page_number": 1 } } ``` **SDK Code** ```python import requests url = "https://api.synthflow.ai/v2/memory_stores" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.synthflow.ai/v2/memory_stores" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.synthflow.ai/v2/memory_stores") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.synthflow.ai/v2/memory_stores") .header("Authorization", "Bearer ") .asString(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.synthflow.ai/v2/memory_stores"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/memory_stores")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```